package com.fr.plugin.ymrt.sms;

import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.plugin.ymrt.sms.bean.OutputSmsAction;
import com.fr.plugin.ymrt.sms.entity.SmsEntity;
import com.fr.plugin.ymrt.sms.handle.SmsOutputActionHandler;
import com.fr.schedule.feature.ScheduleOutputActionEntityRegister;
import com.fr.schedule.feature.output.OutputActionHandler;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
public class OutputPluginLifecycleMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    public void afterRun(PluginContext pluginContext) {
        OutputActionHandler.registerHandler(new SmsOutputActionHandler(), OutputSmsAction.class.getName());
        ScheduleOutputActionEntityRegister.getInstance().addClass(SmsEntity.class);
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {

        OutputActionHandler.removeOutputHandler(OutputSmsAction.class.getName());
        ScheduleOutputActionEntityRegister.getInstance().removeClass(SmsEntity.class);
    }
}
