package com.fr.plugin.ymrt.sms;

import com.fr.decision.plugin.db.AbstractDecisionDBAccessProvider;
import com.fr.plugin.ymrt.sms.dao.SmsDao;
import com.fr.plugin.ymrt.sms.entity.SmsEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
public class SmsDBAccess extends AbstractDecisionDBAccessProvider {
    private static DBAccessor dbAccessor;

    public DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return SmsEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return SmsDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        SmsDBAccess.dbAccessor = dbAccessor;
    }
}
