package com.fr.plugin.ymrt.sms.bean;

import com.fr.plugin.ymrt.sms.entity.SmsEntity;
import com.fr.schedule.base.bean.output.BaseOutputAction;
import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.schedule.base.type.RunType;
import com.fr.third.fasterxml.jackson.annotation.JsonSubTypes;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
@JsonSubTypes.Type(value = OutputSmsAction.class, name = "OutputSmsAction")
public class OutputSmsAction extends BaseOutputAction {

    private static final long serialVersionUID = 8921116228585639504L;

    private String content = null;

    public OutputSmsAction() {
        super();
    }

    @Override
    public boolean willExecuteByUser() {
        return true;
    }

    @Override
    public RunType runType() {
        return RunType.SEND_FILE;
    }

    @Override
    public Class<? extends AbstractScheduleEntity> outputActionEntityClass() {
        return SmsEntity.class;
    }

    @Override
    public AbstractScheduleEntity createOutputActionEntity() {
        return (new SmsEntity()).id(this.getId()).content(this.content);
    }

    @Override
    public OutputSmsAction id(String id) {
        setId(id);
        return this;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public OutputSmsAction content(String content) {
        setContent(content);
        return this;
    }
}
